*** tar.c.orig	Mon Jul 12 16:58:10 1999
--- tar.c	Mon Jul 12 17:02:27 1999
***************
*** 16,21 ****
--- 16,23 ----
     with this program; if not, write to the Free Software Foundation, Inc.,
     59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */
  
+ /* Patched to integrate bzip2 as compression filter (option -y)  */
+ 
  #include "system.h"
  
  #include <getopt.h>
***************
*** 164,169 ****
--- 166,173 ----
    {"block-number", no_argument, NULL, 'R'},
    {"block-size", required_argument, NULL, OBSOLETE_BLOCKING_FACTOR},
    {"blocking-factor", required_argument, NULL, 'b'},
+   {"bunzip2", required_argument, NULL, 'y'},
+   {"bzip2", required_argument, NULL, 'y'},
    {"catenate", no_argument, NULL, 'A'},
    {"checkpoint", no_argument, &checkpoint_option, 1},
    {"compare", no_argument, NULL, 'd'},
***************
*** 340,345 ****
--- 344,350 ----
                PATTERN                at list/extract time, a globbing PATTERN\n\
    -o, --old-archive, --portability   write a V7 format archive\n\
        --posix                        write a POSIX conformant archive\n\
+   -y, --bzip2, --bunzip2             filter the archive through bzip2\n\
    -z, --gzip, --ungzip               filter the archive through gzip\n\
    -Z, --compress, --uncompress       filter the archive through compress\n\
        --use-compress-program=PROG    filter through PROG (must accept -d)\n"),
***************
*** 416,422 ****
     Y  per-block gzip compression */
  
  #define OPTION_STRING \
!   "-01234567ABC:F:GK:L:MN:OPRST:UV:WX:Zb:cdf:g:hiklmoprstuvwxz"
  
  static void
  set_subcommand_option (enum subcommand subcommand)
--- 421,427 ----
     Y  per-block gzip compression */
  
  #define OPTION_STRING \
!   "-01234567ABC:F:GK:L:MN:OPRST:UV:WX:Zb:cdf:g:hiklmoprstuvwxyz"
  
  static void
  set_subcommand_option (enum subcommand subcommand)
***************
*** 786,791 ****
--- 791,800 ----
        case 'X':
  	if (add_exclude_file (excluded, optarg, '\n') != 0)
  	  FATAL_ERROR ((0, errno, "%s", optarg));
+ 	break;
+ 
+       case 'y':
+ 	set_use_compress_program_option ("bzip2");
  	break;
  
        case 'z':
